For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Help CenterSign Up
GuidesAPI Reference
GuidesAPI Reference
  • API V1
      • POSTPing
      • POSTVerify Address
      • POSTLookup
      • POSTAuthorized with Capture
      • POSTReturned
Help CenterSign Up
API V1Essentials

Ping

POST
https://api.taxcloud.net/1.0/TaxCloud/Ping
POST
/1.0/TaxCloud/Ping
$curl -X POST https://api.taxcloud.net/1.0/TaxCloud/Ping \
> -H "Content-Type: application/json" \
> -d '{
> "apiLoginID": "A1B2C3D",
> "apiKey": "9f8e7d6c"
>}'
1{
2 "ResponseType": {
3 "value": 3
4 },
5 "Messages": [
6 "Ping successful. API credentials are valid."
7 ]
8}
If this call fails, API credentials are questionable.
Was this page helpful?

Verify Address

Next
Built with

Request

Ping Request
apiLoginIDstringRequired7-8 characters

Find your API ID via https://app.taxcloud.com/go/stores/

apiKeystringRequired=8 characters

Find your API KEY via https://app.taxcloud.com/go/stores/

Response

OK
ResponseTypeinteger
Response Types include <ul>
  • 0 = Error. Likely invalid API Credentials
  • 1 = Warning. Something is wrong.
  • 2 = Informational. Something could be better
  • <li>3 = SUCCESS! You did it!
    Messageslist of strings
    Optional array of messages related to the response.

    Errors

    5XX
    Server Error